apiVersion: apps/v1
kind: Deployment
metadata:
  name: phippy-iam
  namespace: phippy-iam
  labels:
    app: phippy-iam      
spec:
  selector:
    matchLabels:
      app: phippy-iam
  replicas: 2
  strategy:
    type: RollingUpdate
    rollingUpdate:
      maxSurge: 3
      maxUnavailable: 1
  template:
    metadata:
      labels:
        app: phippy-iam
    spec:
      containers:
      - name: phippy-iam
        image: {{ .Values.global.image }}
        ports:
          - containerPort: 8100
        volumeMounts:
           - name: phippy-iam-configmap
             mountPath: "/config/"
             readOnly: true
           - name: timezone-configmap
             mountPath: /etc/localtime
             subPath: Prague
        livenessProbe:
          httpGet:
            path: /swagger-ui/index.html
            port: 8100
          initialDelaySeconds: 180
          periodSeconds: 120
        readinessProbe:
          httpGet:
            path: /swagger-ui/index.html
            port: 8100
          initialDelaySeconds: 180
          periodSeconds: 120
      volumes:
        - name: timezone-configmap
          configMap:
            name: timezone-configmap
        - name: phippy-iam-configmap
          configMap:
            name: phippy-iam-configmap
